Index: src/sas/qtgui/DataExplorer.py
===================================================================
--- src/sas/qtgui/DataExplorer.py	(revision 965fbd854b36d33e3c78f5ffed0a6040af2ad43e)
+++ src/sas/qtgui/DataExplorer.py	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -65,4 +65,7 @@
         self._helpView = QtWebKit.QWebView()
 
+        # Fill in the perspectives combo
+        self.initPerspectives()
+
         # Custom context menu
         self.treeView.setContextMenuPolicy(QtCore.Qt.CustomContextMenu)
@@ -125,4 +128,12 @@
         self.cbgraph.setEnabled(len(PlotHelper.currentPlots()) > 0)
         self.cmdAppend.setEnabled(len(PlotHelper.currentPlots()) > 0)
+
+    def initPerspectives(self):
+        """
+        Populate the Perspective combobox and define callbacks
+        """
+        self.cbFitting.currentIndexChanged.connect(self.updatePerspectiveCombo)
+        # Set the index so we see the default (Fitting)
+        self.updatePerspectiveCombo(0)
 
     def loadFromURL(self, url):
@@ -389,4 +400,10 @@
             self.cbgraph.setCurrentIndex(ind)
 
+    def updatePerspectiveCombo(self, index):
+        """
+        Notify the gui manager about the new perspective chosen.
+        """
+        self.communicator.perspectiveChangedSignal.emit(self.cbFitting.currentText())
+
     def newPlot(self):
         """
Index: src/sas/qtgui/GuiManager.py
===================================================================
--- src/sas/qtgui/GuiManager.py	(revision 257bd5712462146ec0fc8f29d198ca47f83ed94f)
+++ src/sas/qtgui/GuiManager.py	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -29,5 +29,7 @@
 
 # Perspectives
+import Perspectives
 from sas.qtgui.Perspectives.Invariant.InvariantPerspective import InvariantWindow
+from sas.qtgui.Perspectives.Fitting.FittingPerspective import FittingWindow
 from sas.qtgui.DataExplorer import DataExplorerWindow
 
@@ -98,13 +100,9 @@
                                               "_downloads",
                                               "Tutorial.pdf"))
-
-        #==========================================================
-        # TEMP PROTOTYPE
-        # Add InvariantWindow to the workspace.
-        self.invariantWidget = InvariantWindow(self)
-        self._workspace.workspace.addWindow(self.invariantWidget)
-
-        # Default perspective
-        self._current_perspective = self.invariantWidget
+        # Current displayed perspective
+        self._current_perspective = None
+
+        # Invoke the initial perspective
+        self.perspectiveChanged("Fitting")
 
     def addWidgets(self):
@@ -120,4 +118,5 @@
         self.dockedFilesWidget = QtGui.QDockWidget("Data Explorer", self._workspace)
         self.dockedFilesWidget.setWidget(self.filesWidget)
+
         # Disable maximize/minimize and close buttons
         self.dockedFilesWidget.setFeatures(QtGui.QDockWidget.NoDockWidgetFeatures)
@@ -143,4 +142,5 @@
         self.KIESSIGCalculator = KiessigPanel(self)
         self.SlitSizeCalculator = SlitSizeCalculator(self)
+
     def statusBarSetup(self):
         """
@@ -173,4 +173,16 @@
         """
         return self._workspace.workspace
+
+    def perspectiveChanged(self, perspective_name):
+        """
+        Respond to change of the perspective signal
+        """
+        # Close the previous perspective
+        if self._current_perspective:
+            self._current_perspective.close()
+        # Default perspective
+        self._current_perspective = Perspectives.PERSPECTIVES[str(perspective_name)](self)
+        self._workspace.workspace.addWindow(self._current_perspective)
+        self._current_perspective.show()
 
     def updatePerspective(self, data):
@@ -322,4 +334,5 @@
         self.communicate.updatePerspectiveWithDataSignal.connect(self.updatePerspective)
         self.communicate.progressBarUpdateSignal.connect(self.updateProgressBar)
+        self.communicate.perspectiveChangedSignal.connect(self.perspectiveChanged)
 
     def addTriggers(self):
Index: src/sas/qtgui/GuiUtils.py
===================================================================
--- src/sas/qtgui/GuiUtils.py	(revision 3bdbfcc5cdff8a3a11a9bb19c1cc8c3660a9c2e2)
+++ src/sas/qtgui/GuiUtils.py	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -233,4 +233,7 @@
     # Current workspace chart's name changed
     activeGraphName = QtCore.pyqtSignal(tuple)
+
+    # Current perspective changed
+    perspectiveChangedSignal = QtCore.pyqtSignal(str)
 
 
Index: c/sas/qtgui/Perspectives/Fitting/Fitting.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/Fitting.py	(revision 4c7dd9f77b5dd095bc4a2131992df337bf40e8fe)
+++ 	(revision )
@@ -1,150 +1,0 @@
-import sys
-from PyQt4 import QtGui
-from PyQt4 import QtCore
-
-from UI.fitting import Ui_Dialog
-
-class prototype(QtGui.QDialog, Ui_Dialog):
-    def __init__(self):
-        super(prototype, self).__init__()
-        self._model_model = QtGui.QStandardItemModel()
-        self._poly_model = QtGui.QStandardItemModel()
-        self.setupUi(self)
-
-        self.tableView.setModel(self._model_model)
-        self.setModelModel()
-
-        self.pushButton.setEnabled(False)
-        self.checkBox_3.setEnabled(False)
-        self.checkBox_4.setEnabled(False)
-        self.label_20.setText("---")
-        self.label_21.setText("---")
-        self.label_24.setText("---")
-
-        #self.setTableProperties(self.tableView)
-
-        self.tableView_2.setModel(self._poly_model)
-        self.setPolyModel()
-        self.setTableProperties(self.tableView_2)
-
-        for row in range(2):
-            c = QtGui.QComboBox()
-            c.addItems(['rectangle','array','lognormal','gaussian','schulz',])
-            i = self.tableView_2.model().index(row,6)
-            self.tableView_2.setIndexWidget(i,c)
-
-        
-    def setModelModel(self):
-        # Crete/overwrite model items
-
-        parameters=[]
-        p=["scale", "1", "0", "inf", ""]
-        for i in xrange(1):
-            #for parameter in parameters.keys():
-            item1 = QtGui.QStandardItem("background")
-            item1.setCheckable(True)
-            item2 = QtGui.QStandardItem("0.001")
-            item3 = QtGui.QStandardItem("-inf")
-            item4 = QtGui.QStandardItem("inf")
-            item5 = QtGui.QStandardItem("1/cm")
-            self._model_model.appendRow([item1, item2, item3, item4, item5])
-
-            item1 = QtGui.QStandardItem("l_radius")
-            item1.setCheckable(True)
-            item2 = QtGui.QStandardItem("100")
-            item3 = QtGui.QStandardItem("0")
-            item4 = QtGui.QStandardItem("inf")
-            item5 = QtGui.QStandardItem("A")
-            self._model_model.appendRow([item1, item2, item3, item4, item5])
-
-            item1 = QtGui.QStandardItem("ls_sld")
-            item1.setCheckable(True)
-            item2 = QtGui.QStandardItem("3.5e-06")
-            item3 = QtGui.QStandardItem("0")
-            item4 = QtGui.QStandardItem("inf")
-            item5 = QtGui.QStandardItem("1/A^2")
-            self._model_model.appendRow([item1, item2, item3, item4, item5])
-
-            item1 = QtGui.QStandardItem("s_radius")
-            item1.setCheckable(True)
-            item2 = QtGui.QStandardItem("25")
-            item3 = QtGui.QStandardItem("0")
-            item4 = QtGui.QStandardItem("inf")
-            item5 = QtGui.QStandardItem("A")
-            self._model_model.appendRow([item1, item2, item3, item4, item5])
-
-            item1 = QtGui.QStandardItem("solvent_sld")
-            item1.setCheckable(True)
-            item2 = QtGui.QStandardItem("6.36e-06")
-            item3 = QtGui.QStandardItem("0")
-            item4 = QtGui.QStandardItem("inf")
-            item5 = QtGui.QStandardItem("1/A^2")
-            self._model_model.appendRow([item1, item2, item3, item4, item5])
-
-            item1 = QtGui.QStandardItem("vol_frac_ls")
-            item1.setCheckable(True)
-            item2 = QtGui.QStandardItem("0.1")
-            item3 = QtGui.QStandardItem("0")
-            item4 = QtGui.QStandardItem("inf")
-            item5 = QtGui.QStandardItem("")
-            self._model_model.appendRow([item1, item2, item3, item4, item5])
-
-        self._model_model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-        self._model_model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
-        self._model_model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-        self._model_model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-        self._model_model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("[Units]"))
-
-    def setTableProperties(self, table):
-
-        table.setStyleSheet("background-image: url(model.png);")
-
-        # Table properties
-        table.verticalHeader().setVisible(False)
-        table.setAlternatingRowColors(True)
-        table.setSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Expanding)
-        table.setSelectionBehavior(QtGui.QAbstractItemView.SelectRows)
-        # Header
-        header = table.horizontalHeader()
-        header.setResizeMode(QtGui.QHeaderView.Stretch)
-        header.setStretchLastSection(True)
-
-    def setPolyModel(self):
-        item1 = QtGui.QStandardItem("Distribution of radius")
-        item1.setCheckable(True)
-        item2 = QtGui.QStandardItem("0")
-        item3 = QtGui.QStandardItem("")
-        item4 = QtGui.QStandardItem("")
-        item5 = QtGui.QStandardItem("35")
-        item6 = QtGui.QStandardItem("3")
-        item7 = QtGui.QStandardItem("")
-        self._poly_model.appendRow([item1, item2, item3, item4, item5, item6, item7])
-        item1 = QtGui.QStandardItem("Distribution of thickness")
-        item1.setCheckable(True)
-        item2 = QtGui.QStandardItem("0")
-        item3 = QtGui.QStandardItem("")
-        item4 = QtGui.QStandardItem("")
-        item5 = QtGui.QStandardItem("35")
-        item6 = QtGui.QStandardItem("3")
-        item7 = QtGui.QStandardItem("")
-        self._poly_model.appendRow([item1, item2, item3, item4, item5, item6, item7])
-
-        self._poly_model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
-        self._poly_model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("PD[ratio]"))
-        self._poly_model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
-        self._poly_model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
-        self._poly_model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Npts"))
-        self._poly_model.setHeaderData(5, QtCore.Qt.Horizontal, QtCore.QVariant("Nsigs"))
-        self._poly_model.setHeaderData(6, QtCore.Qt.Horizontal, QtCore.QVariant("Function"))
-
-        self.tableView_2.resizeColumnsToContents()
-        header = self.tableView_2.horizontalHeader()
-        header.ResizeMode(QtGui.QHeaderView.Stretch)
-        header.setStretchLastSection(True)
-
-
-if __name__ == "__main__":
-    app = QtGui.QApplication([])
-    dlg = prototype()
-    dlg.show()
-    sys.exit(app.exec_())
Index: src/sas/qtgui/Perspectives/Fitting/FittingPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingPerspective.py	(revision 83d6249504661920123f31d028c17441433bf318)
+++ src/sas/qtgui/Perspectives/Fitting/FittingPerspective.py	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -0,0 +1,151 @@
+import sys
+from PyQt4 import QtGui
+from PyQt4 import QtCore
+
+from UI.FittingUI import Ui_FittingUI
+
+class FittingWindow(QtGui.QDialog, Ui_FittingUI):
+    name = "Fitting" # For displaying in the combo box
+    def __init__(self, manager=None, parent=None):
+        super(FittingWindow, self).__init__()
+        self._model_model = QtGui.QStandardItemModel()
+        self._poly_model = QtGui.QStandardItemModel()
+        self.setupUi(self)
+
+        self.tableView.setModel(self._model_model)
+        self.setModelModel()
+
+        self.pushButton.setEnabled(False)
+        self.checkBox_3.setEnabled(False)
+        self.checkBox_4.setEnabled(False)
+        self.label_20.setText("---")
+        self.label_21.setText("---")
+        self.label_24.setText("---")
+
+        #self.setTableProperties(self.tableView)
+
+        self.tableView_2.setModel(self._poly_model)
+        self.setPolyModel()
+        self.setTableProperties(self.tableView_2)
+
+        for row in range(2):
+            c = QtGui.QComboBox()
+            c.addItems(['rectangle','array','lognormal','gaussian','schulz',])
+            i = self.tableView_2.model().index(row,6)
+            self.tableView_2.setIndexWidget(i,c)
+
+        
+    def setModelModel(self):
+        # Crete/overwrite model items
+
+        parameters=[]
+        p=["scale", "1", "0", "inf", ""]
+        for i in xrange(1):
+            #for parameter in parameters.keys():
+            item1 = QtGui.QStandardItem("background")
+            item1.setCheckable(True)
+            item2 = QtGui.QStandardItem("0.001")
+            item3 = QtGui.QStandardItem("-inf")
+            item4 = QtGui.QStandardItem("inf")
+            item5 = QtGui.QStandardItem("1/cm")
+            self._model_model.appendRow([item1, item2, item3, item4, item5])
+
+            item1 = QtGui.QStandardItem("l_radius")
+            item1.setCheckable(True)
+            item2 = QtGui.QStandardItem("100")
+            item3 = QtGui.QStandardItem("0")
+            item4 = QtGui.QStandardItem("inf")
+            item5 = QtGui.QStandardItem("A")
+            self._model_model.appendRow([item1, item2, item3, item4, item5])
+
+            item1 = QtGui.QStandardItem("ls_sld")
+            item1.setCheckable(True)
+            item2 = QtGui.QStandardItem("3.5e-06")
+            item3 = QtGui.QStandardItem("0")
+            item4 = QtGui.QStandardItem("inf")
+            item5 = QtGui.QStandardItem("1/A^2")
+            self._model_model.appendRow([item1, item2, item3, item4, item5])
+
+            item1 = QtGui.QStandardItem("s_radius")
+            item1.setCheckable(True)
+            item2 = QtGui.QStandardItem("25")
+            item3 = QtGui.QStandardItem("0")
+            item4 = QtGui.QStandardItem("inf")
+            item5 = QtGui.QStandardItem("A")
+            self._model_model.appendRow([item1, item2, item3, item4, item5])
+
+            item1 = QtGui.QStandardItem("solvent_sld")
+            item1.setCheckable(True)
+            item2 = QtGui.QStandardItem("6.36e-06")
+            item3 = QtGui.QStandardItem("0")
+            item4 = QtGui.QStandardItem("inf")
+            item5 = QtGui.QStandardItem("1/A^2")
+            self._model_model.appendRow([item1, item2, item3, item4, item5])
+
+            item1 = QtGui.QStandardItem("vol_frac_ls")
+            item1.setCheckable(True)
+            item2 = QtGui.QStandardItem("0.1")
+            item3 = QtGui.QStandardItem("0")
+            item4 = QtGui.QStandardItem("inf")
+            item5 = QtGui.QStandardItem("")
+            self._model_model.appendRow([item1, item2, item3, item4, item5])
+
+        self._model_model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
+        self._model_model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("Value"))
+        self._model_model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
+        self._model_model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
+        self._model_model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("[Units]"))
+
+    def setTableProperties(self, table):
+
+        table.setStyleSheet("background-image: url(model.png);")
+
+        # Table properties
+        table.verticalHeader().setVisible(False)
+        table.setAlternatingRowColors(True)
+        table.setSizePolicy(QtGui.QSizePolicy.MinimumExpanding, QtGui.QSizePolicy.Expanding)
+        table.setSelectionBehavior(QtGui.QAbstractItemView.SelectRows)
+        # Header
+        header = table.horizontalHeader()
+        header.setResizeMode(QtGui.QHeaderView.Stretch)
+        header.setStretchLastSection(True)
+
+    def setPolyModel(self):
+        item1 = QtGui.QStandardItem("Distribution of radius")
+        item1.setCheckable(True)
+        item2 = QtGui.QStandardItem("0")
+        item3 = QtGui.QStandardItem("")
+        item4 = QtGui.QStandardItem("")
+        item5 = QtGui.QStandardItem("35")
+        item6 = QtGui.QStandardItem("3")
+        item7 = QtGui.QStandardItem("")
+        self._poly_model.appendRow([item1, item2, item3, item4, item5, item6, item7])
+        item1 = QtGui.QStandardItem("Distribution of thickness")
+        item1.setCheckable(True)
+        item2 = QtGui.QStandardItem("0")
+        item3 = QtGui.QStandardItem("")
+        item4 = QtGui.QStandardItem("")
+        item5 = QtGui.QStandardItem("35")
+        item6 = QtGui.QStandardItem("3")
+        item7 = QtGui.QStandardItem("")
+        self._poly_model.appendRow([item1, item2, item3, item4, item5, item6, item7])
+
+        self._poly_model.setHeaderData(0, QtCore.Qt.Horizontal, QtCore.QVariant("Parameter"))
+        self._poly_model.setHeaderData(1, QtCore.Qt.Horizontal, QtCore.QVariant("PD[ratio]"))
+        self._poly_model.setHeaderData(2, QtCore.Qt.Horizontal, QtCore.QVariant("Min"))
+        self._poly_model.setHeaderData(3, QtCore.Qt.Horizontal, QtCore.QVariant("Max"))
+        self._poly_model.setHeaderData(4, QtCore.Qt.Horizontal, QtCore.QVariant("Npts"))
+        self._poly_model.setHeaderData(5, QtCore.Qt.Horizontal, QtCore.QVariant("Nsigs"))
+        self._poly_model.setHeaderData(6, QtCore.Qt.Horizontal, QtCore.QVariant("Function"))
+
+        self.tableView_2.resizeColumnsToContents()
+        header = self.tableView_2.horizontalHeader()
+        header.ResizeMode(QtGui.QHeaderView.Stretch)
+        header.setStretchLastSection(True)
+
+
+if __name__ == "__main__":
+    app = QtGui.QApplication([])
+    dlg = FittingWindow()
+    dlg.show()
+    sys.exit(app.exec_())
Index: src/sas/qtgui/Perspectives/Fitting/UI/FittingUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/FittingUI.ui	(revision 83d6249504661920123f31d028c17441433bf318)
+++ src/sas/qtgui/Perspectives/Fitting/UI/FittingUI.ui	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -0,0 +1,674 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<ui version="4.0">
+ <class>FittingUI</class>
+ <widget class="QDialog" name="FittingUI">
+  <property name="geometry">
+   <rect>
+    <x>0</x>
+    <y>0</y>
+    <width>613</width>
+    <height>723</height>
+   </rect>
+  </property>
+  <property name="windowTitle">
+   <string>Fitting Perspective</string>
+  </property>
+  <property name="windowIcon">
+   <iconset resource="../../../UI/main_resources.qrc">
+    <normaloff>:/res/ball.ico</normaloff>:/res/ball.ico</iconset>
+  </property>
+  <layout class="QGridLayout" name="gridLayout_15">
+   <item row="0" column="0">
+    <widget class="QTabWidget" name="tabWidget">
+     <property name="currentIndex">
+      <number>0</number>
+     </property>
+     <widget class="QWidget" name="tab">
+      <attribute name="title">
+       <string>FitPage 1</string>
+      </attribute>
+      <layout class="QGridLayout" name="gridLayout_20">
+       <item row="0" column="0">
+        <widget class="QLabel" name="label">
+         <property name="text">
+          <string>File name:</string>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="1">
+        <widget class="QLabel" name="label_22">
+         <property name="text">
+          <string>None</string>
+         </property>
+        </widget>
+       </item>
+       <item row="0" column="2">
+        <spacer name="horizontalSpacer_4">
+         <property name="orientation">
+          <enum>Qt::Horizontal</enum>
+         </property>
+         <property name="sizeHint" stdset="0">
+          <size>
+           <width>482</width>
+           <height>20</height>
+          </size>
+         </property>
+        </spacer>
+       </item>
+       <item row="2" column="2">
+        <layout class="QHBoxLayout" name="horizontalLayout">
+         <item>
+          <spacer name="horizontalSpacer">
+           <property name="orientation">
+            <enum>Qt::Horizontal</enum>
+           </property>
+           <property name="sizeHint" stdset="0">
+            <size>
+             <width>40</width>
+             <height>20</height>
+            </size>
+           </property>
+          </spacer>
+         </item>
+         <item>
+          <widget class="QPushButton" name="pushButton">
+           <property name="text">
+            <string>Fit</string>
+           </property>
+          </widget>
+         </item>
+         <item>
+          <widget class="QPushButton" name="pushButton_2">
+           <property name="text">
+            <string>Help</string>
+           </property>
+          </widget>
+         </item>
+        </layout>
+       </item>
+       <item row="1" column="0" colspan="3">
+        <widget class="QTabWidget" name="tabWidget_2">
+         <property name="currentIndex">
+          <number>0</number>
+         </property>
+         <widget class="QWidget" name="tab_3">
+          <attribute name="title">
+           <string>Model</string>
+          </attribute>
+          <layout class="QGridLayout" name="gridLayout_19">
+           <item row="0" column="0" colspan="4">
+            <widget class="QGroupBox" name="groupBox_6">
+             <property name="sizePolicy">
+              <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
+               <horstretch>0</horstretch>
+               <verstretch>0</verstretch>
+              </sizepolicy>
+             </property>
+             <property name="title">
+              <string>Model </string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_2">
+              <item row="0" column="0">
+               <layout class="QGridLayout" name="gridLayout">
+                <item row="0" column="0">
+                 <widget class="QLabel" name="label_2">
+                  <property name="text">
+                   <string>Category</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="1">
+                 <widget class="QLabel" name="label_3">
+                  <property name="text">
+                   <string>Model name</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="2">
+                 <widget class="QLabel" name="label_4">
+                  <property name="text">
+                   <string>Structure factor</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="0">
+                 <widget class="QComboBox" name="comboBox">
+                  <item>
+                   <property name="text">
+                    <string>Shapes</string>
+                   </property>
+                  </item>
+                  <item>
+                   <property name="text">
+                    <string>Shape-independent</string>
+                   </property>
+                  </item>
+                 </widget>
+                </item>
+                <item row="1" column="1">
+                 <widget class="QComboBox" name="comboBox_2">
+                  <item>
+                   <property name="text">
+                    <string>Binary HS Model</string>
+                   </property>
+                  </item>
+                  <item>
+                   <property name="text">
+                    <string>None</string>
+                   </property>
+                  </item>
+                 </widget>
+                </item>
+                <item row="1" column="2">
+                 <widget class="QComboBox" name="comboBox_3">
+                  <item>
+                   <property name="text">
+                    <string>Hard Sphere Structure</string>
+                   </property>
+                  </item>
+                  <item>
+                   <property name="text">
+                    <string>None</string>
+                   </property>
+                  </item>
+                 </widget>
+                </item>
+               </layout>
+              </item>
+              <item row="1" column="0">
+               <widget class="QTableView" name="tableView">
+                <property name="styleSheet">
+                 <string notr="true"/>
+                </property>
+                <property name="selectionMode">
+                 <enum>QAbstractItemView::ExtendedSelection</enum>
+                </property>
+               </widget>
+              </item>
+             </layout>
+            </widget>
+           </item>
+           <item row="1" column="0">
+            <widget class="QGroupBox" name="groupBox_7">
+             <property name="title">
+              <string>Options </string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_16">
+              <item row="0" column="0">
+               <widget class="QCheckBox" name="checkBox_3">
+                <property name="enabled">
+                 <bool>true</bool>
+                </property>
+                <property name="text">
+                 <string>Polydispersity</string>
+                </property>
+                <property name="checkable">
+                 <bool>true</bool>
+                </property>
+               </widget>
+              </item>
+              <item row="1" column="0">
+               <widget class="QCheckBox" name="checkBox_4">
+                <property name="enabled">
+                 <bool>true</bool>
+                </property>
+                <property name="text">
+                 <string>Smearing</string>
+                </property>
+                <property name="checkable">
+                 <bool>true</bool>
+                </property>
+               </widget>
+              </item>
+             </layout>
+            </widget>
+           </item>
+           <item row="1" column="1">
+            <widget class="QGroupBox" name="groupBox_8">
+             <property name="title">
+              <string>Fitting range </string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_17">
+              <item row="0" column="0">
+               <layout class="QGridLayout" name="gridLayout_8">
+                <item row="0" column="0">
+                 <widget class="QLabel" name="label_16">
+                  <property name="text">
+                   <string>Min range</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="1">
+                 <widget class="QLabel" name="label_20">
+                  <property name="text">
+                   <string>0.005</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="2">
+                 <widget class="QLabel" name="label_17">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="0">
+                 <widget class="QLabel" name="label_18">
+                  <property name="text">
+                   <string>Max range</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="1">
+                 <widget class="QLabel" name="label_21">
+                  <property name="text">
+                   <string>0.1</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="2">
+                 <widget class="QLabel" name="label_19">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+           </item>
+           <item row="1" column="2">
+            <spacer name="horizontalSpacer_3">
+             <property name="orientation">
+              <enum>Qt::Horizontal</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>207</width>
+               <height>20</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+           <item row="1" column="3">
+            <widget class="QGroupBox" name="groupBox_9">
+             <property name="title">
+              <string>Fitting error</string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_18">
+              <item row="0" column="0">
+               <layout class="QHBoxLayout" name="horizontalLayout_2">
+                <item>
+                 <widget class="QLabel" name="label_23">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-weight:600;&quot;&gt;Ï&lt;/span&gt;&lt;span style=&quot; font-weight:600; vertical-align:super;&quot;&gt;2&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item>
+                 <widget class="QLabel" name="label_24">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-weight:600;&quot;&gt;0.01625&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+         <widget class="QWidget" name="QRanges">
+          <attribute name="title">
+           <string>Q Range</string>
+          </attribute>
+          <layout class="QGridLayout" name="gridLayout_7">
+           <item row="0" column="0">
+            <widget class="QGroupBox" name="groupBox">
+             <property name="title">
+              <string>Fitting range</string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_4">
+              <item row="0" column="0" rowspan="2">
+               <layout class="QGridLayout" name="gridLayout_3">
+                <item row="0" column="0">
+                 <widget class="QLabel" name="label_5">
+                  <property name="text">
+                   <string>Min range</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="1">
+                 <widget class="QLineEdit" name="lineEdit"/>
+                </item>
+                <item row="0" column="2">
+                 <widget class="QLabel" name="label_7">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="0">
+                 <widget class="QLabel" name="label_6">
+                  <property name="text">
+                   <string>Max range</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="1">
+                 <widget class="QLineEdit" name="lineEdit_2"/>
+                </item>
+                <item row="1" column="2">
+                 <widget class="QLabel" name="label_8">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+               </layout>
+              </item>
+              <item row="0" column="1" rowspan="2">
+               <spacer name="horizontalSpacer_5">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>217</width>
+                  <height>20</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+              <item row="0" column="2">
+               <widget class="QPushButton" name="pushButton_3">
+                <property name="text">
+                 <string>Reset</string>
+                </property>
+               </widget>
+              </item>
+              <item row="1" column="2">
+               <widget class="QPushButton" name="pushButton_4">
+                <property name="text">
+                 <string>Mask Editor</string>
+                </property>
+               </widget>
+              </item>
+             </layout>
+            </widget>
+           </item>
+           <item row="1" column="0">
+            <widget class="QGroupBox" name="groupBox_2">
+             <property name="title">
+              <string>Data points</string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_6">
+              <item row="0" column="0">
+               <layout class="QGridLayout" name="gridLayout_5">
+                <item row="0" column="0">
+                 <widget class="QLabel" name="label_10">
+                  <property name="text">
+                   <string>Npts</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="1">
+                 <widget class="QLineEdit" name="lineEdit_3"/>
+                </item>
+                <item row="0" column="2">
+                 <widget class="QCheckBox" name="checkBox">
+                  <property name="text">
+                   <string>Log spaced points</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="0">
+                 <widget class="QLabel" name="label_11">
+                  <property name="text">
+                   <string>Npts(Fit)</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="1">
+                 <widget class="QLineEdit" name="lineEdit_4"/>
+                </item>
+                <item row="2" column="0">
+                 <widget class="QLabel" name="label_12">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ï&lt;span style=&quot; vertical-align:super;&quot;&gt;2&lt;/span&gt;/Npts&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="2" column="1">
+                 <widget class="QLineEdit" name="lineEdit_5"/>
+                </item>
+                <item row="2" column="3">
+                 <widget class="QPushButton" name="pushButton_5">
+                  <property name="text">
+                   <string>Compute</string>
+                  </property>
+                 </widget>
+                </item>
+               </layout>
+              </item>
+             </layout>
+            </widget>
+           </item>
+           <item row="2" column="0">
+            <spacer name="verticalSpacer">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>347</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+          </layout>
+         </widget>
+         <widget class="QWidget" name="tab_4">
+          <attribute name="title">
+           <string>Polydisp</string>
+          </attribute>
+          <layout class="QGridLayout" name="gridLayout_10">
+           <item row="0" column="0">
+            <widget class="QGroupBox" name="groupBox_3">
+             <property name="title">
+              <string>Polydispersity and Orientational Distribution</string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_9">
+              <item row="0" column="0">
+               <widget class="QCheckBox" name="checkBox_2">
+                <property name="text">
+                 <string>Add polydispersity</string>
+                </property>
+               </widget>
+              </item>
+              <item row="1" column="0">
+               <widget class="QTableView" name="tableView_2"/>
+              </item>
+             </layout>
+            </widget>
+           </item>
+          </layout>
+         </widget>
+         <widget class="QWidget" name="tab_5">
+          <attribute name="title">
+           <string>Smearing</string>
+          </attribute>
+          <layout class="QGridLayout" name="gridLayout_14">
+           <item row="0" column="0">
+            <widget class="QGroupBox" name="groupBox_4">
+             <property name="title">
+              <string>Instrumental Smearing</string>
+             </property>
+             <layout class="QGridLayout" name="gridLayout_13">
+              <item row="0" column="0">
+               <widget class="QComboBox" name="comboBox_4">
+                <property name="currentIndex">
+                 <number>2</number>
+                </property>
+                <item>
+                 <property name="text">
+                  <string>None</string>
+                 </property>
+                </item>
+                <item>
+                 <property name="text">
+                  <string>Use dQ Data</string>
+                 </property>
+                </item>
+                <item>
+                 <property name="text">
+                  <string>Custom Pinhole Smear</string>
+                 </property>
+                </item>
+                <item>
+                 <property name="text">
+                  <string>Custom Slit Smear</string>
+                 </property>
+                </item>
+               </widget>
+              </item>
+              <item row="0" column="1">
+               <layout class="QGridLayout" name="gridLayout_11">
+                <item row="0" column="0">
+                 <widget class="QLabel" name="label_9">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;dQ&lt;span style=&quot; vertical-align:sub;&quot;&gt;low&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="0" column="1">
+                 <widget class="QLineEdit" name="lineEdit_6"/>
+                </item>
+                <item row="0" column="2">
+                 <widget class="QLabel" name="label_14">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="0">
+                 <widget class="QLabel" name="label_13">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;dQ&lt;span style=&quot; vertical-align:sub;&quot;&gt;high&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+                <item row="1" column="1">
+                 <widget class="QLineEdit" name="lineEdit_7"/>
+                </item>
+                <item row="1" column="2">
+                 <widget class="QLabel" name="label_15">
+                  <property name="text">
+                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+                  </property>
+                 </widget>
+                </item>
+               </layout>
+              </item>
+              <item row="0" column="2">
+               <spacer name="horizontalSpacer_2">
+                <property name="orientation">
+                 <enum>Qt::Horizontal</enum>
+                </property>
+                <property name="sizeHint" stdset="0">
+                 <size>
+                  <width>71</width>
+                  <height>20</height>
+                 </size>
+                </property>
+               </spacer>
+              </item>
+              <item row="1" column="0">
+               <widget class="QGroupBox" name="groupBox_5">
+                <property name="title">
+                 <string>Weighting</string>
+                </property>
+                <layout class="QGridLayout" name="gridLayout_12">
+                 <item row="0" column="0">
+                  <layout class="QVBoxLayout" name="verticalLayout">
+                   <item>
+                    <widget class="QRadioButton" name="radioButton">
+                     <property name="text">
+                      <string>None</string>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <widget class="QRadioButton" name="radioButton_2">
+                     <property name="text">
+                      <string>Use dI Data</string>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <widget class="QRadioButton" name="radioButton_3">
+                     <property name="text">
+                      <string>Use |sqrt(I Data)|</string>
+                     </property>
+                    </widget>
+                   </item>
+                   <item>
+                    <widget class="QRadioButton" name="radioButton_4">
+                     <property name="text">
+                      <string>Use |I Data|</string>
+                     </property>
+                    </widget>
+                   </item>
+                  </layout>
+                 </item>
+                </layout>
+               </widget>
+              </item>
+             </layout>
+             <zorder>comboBox_4</zorder>
+             <zorder>groupBox_5</zorder>
+             <zorder>horizontalSpacer_2</zorder>
+            </widget>
+           </item>
+           <item row="1" column="0">
+            <spacer name="verticalSpacer_2">
+             <property name="orientation">
+              <enum>Qt::Vertical</enum>
+             </property>
+             <property name="sizeHint" stdset="0">
+              <size>
+               <width>20</width>
+               <height>340</height>
+              </size>
+             </property>
+            </spacer>
+           </item>
+          </layout>
+         </widget>
+        </widget>
+       </item>
+      </layout>
+     </widget>
+     <widget class="QWidget" name="tab_2">
+      <attribute name="title">
+       <string>Fit Page 2</string>
+      </attribute>
+     </widget>
+    </widget>
+   </item>
+  </layout>
+ </widget>
+ <resources>
+  <include location="../../../UI/main_resources.qrc"/>
+ </resources>
+ <connections/>
+</ui>
Index: src/sas/qtgui/Perspectives/Fitting/UI/convert_ui.sh
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/convert_ui.sh	(revision 83d6249504661920123f31d028c17441433bf318)
+++ src/sas/qtgui/Perspectives/Fitting/UI/convert_ui.sh	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -0,0 +1,1 @@
+pyuic.bat -w $1.ui > $1.py
Index: c/sas/qtgui/Perspectives/Fitting/UI/fitting.ui
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/UI/fitting.ui	(revision 4c7dd9f77b5dd095bc4a2131992df337bf40e8fe)
+++ 	(revision )
@@ -1,668 +1,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<ui version="4.0">
- <class>Dialog</class>
- <widget class="QDialog" name="Dialog">
-  <property name="geometry">
-   <rect>
-    <x>0</x>
-    <y>0</y>
-    <width>613</width>
-    <height>723</height>
-   </rect>
-  </property>
-  <property name="windowTitle">
-   <string>Dialog</string>
-  </property>
-  <layout class="QGridLayout" name="gridLayout_15">
-   <item row="0" column="0">
-    <widget class="QTabWidget" name="tabWidget">
-     <property name="currentIndex">
-      <number>0</number>
-     </property>
-     <widget class="QWidget" name="tab">
-      <attribute name="title">
-       <string>FitPage 1</string>
-      </attribute>
-      <layout class="QGridLayout" name="gridLayout_20">
-       <item row="0" column="0">
-        <widget class="QLabel" name="label">
-         <property name="text">
-          <string>File name:</string>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="1">
-        <widget class="QLabel" name="label_22">
-         <property name="text">
-          <string>None</string>
-         </property>
-        </widget>
-       </item>
-       <item row="0" column="2">
-        <spacer name="horizontalSpacer_4">
-         <property name="orientation">
-          <enum>Qt::Horizontal</enum>
-         </property>
-         <property name="sizeHint" stdset="0">
-          <size>
-           <width>482</width>
-           <height>20</height>
-          </size>
-         </property>
-        </spacer>
-       </item>
-       <item row="2" column="2">
-        <layout class="QHBoxLayout" name="horizontalLayout">
-         <item>
-          <spacer name="horizontalSpacer">
-           <property name="orientation">
-            <enum>Qt::Horizontal</enum>
-           </property>
-           <property name="sizeHint" stdset="0">
-            <size>
-             <width>40</width>
-             <height>20</height>
-            </size>
-           </property>
-          </spacer>
-         </item>
-         <item>
-          <widget class="QPushButton" name="pushButton">
-           <property name="text">
-            <string>Fit</string>
-           </property>
-          </widget>
-         </item>
-         <item>
-          <widget class="QPushButton" name="pushButton_2">
-           <property name="text">
-            <string>Help</string>
-           </property>
-          </widget>
-         </item>
-        </layout>
-       </item>
-       <item row="1" column="0" colspan="3">
-        <widget class="QTabWidget" name="tabWidget_2">
-         <property name="currentIndex">
-          <number>0</number>
-         </property>
-         <widget class="QWidget" name="tab_3">
-          <attribute name="title">
-           <string>Model</string>
-          </attribute>
-          <layout class="QGridLayout" name="gridLayout_19">
-           <item row="0" column="0" colspan="4">
-            <widget class="QGroupBox" name="groupBox_6">
-             <property name="sizePolicy">
-              <sizepolicy hsizetype="Expanding" vsizetype="Expanding">
-               <horstretch>0</horstretch>
-               <verstretch>0</verstretch>
-              </sizepolicy>
-             </property>
-             <property name="title">
-              <string>Model </string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_2">
-              <item row="0" column="0">
-               <layout class="QGridLayout" name="gridLayout">
-                <item row="0" column="0">
-                 <widget class="QLabel" name="label_2">
-                  <property name="text">
-                   <string>Category</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="1">
-                 <widget class="QLabel" name="label_3">
-                  <property name="text">
-                   <string>Model name</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="2">
-                 <widget class="QLabel" name="label_4">
-                  <property name="text">
-                   <string>Structure factor</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="0">
-                 <widget class="QComboBox" name="comboBox">
-                  <item>
-                   <property name="text">
-                    <string>Shapes</string>
-                   </property>
-                  </item>
-                  <item>
-                   <property name="text">
-                    <string>Shape-independent</string>
-                   </property>
-                  </item>
-                 </widget>
-                </item>
-                <item row="1" column="1">
-                 <widget class="QComboBox" name="comboBox_2">
-                  <item>
-                   <property name="text">
-                    <string>Binary HS Model</string>
-                   </property>
-                  </item>
-                  <item>
-                   <property name="text">
-                    <string>None</string>
-                   </property>
-                  </item>
-                 </widget>
-                </item>
-                <item row="1" column="2">
-                 <widget class="QComboBox" name="comboBox_3">
-                  <item>
-                   <property name="text">
-                    <string>Hard Sphere Structure</string>
-                   </property>
-                  </item>
-                  <item>
-                   <property name="text">
-                    <string>None</string>
-                   </property>
-                  </item>
-                 </widget>
-                </item>
-               </layout>
-              </item>
-              <item row="1" column="0">
-               <widget class="QTableView" name="tableView">
-                <property name="styleSheet">
-                 <string notr="true"/>
-                </property>
-                <property name="selectionMode">
-                 <enum>QAbstractItemView::ExtendedSelection</enum>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <widget class="QGroupBox" name="groupBox_7">
-             <property name="title">
-              <string>Options </string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_16">
-              <item row="0" column="0">
-               <widget class="QCheckBox" name="checkBox_3">
-                <property name="enabled">
-                 <bool>true</bool>
-                </property>
-                <property name="text">
-                 <string>Polydispersity</string>
-                </property>
-                <property name="checkable">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="0">
-               <widget class="QCheckBox" name="checkBox_4">
-                <property name="enabled">
-                 <bool>true</bool>
-                </property>
-                <property name="text">
-                 <string>Smearing</string>
-                </property>
-                <property name="checkable">
-                 <bool>true</bool>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </widget>
-           </item>
-           <item row="1" column="1">
-            <widget class="QGroupBox" name="groupBox_8">
-             <property name="title">
-              <string>Fitting range </string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_17">
-              <item row="0" column="0">
-               <layout class="QGridLayout" name="gridLayout_8">
-                <item row="0" column="0">
-                 <widget class="QLabel" name="label_16">
-                  <property name="text">
-                   <string>Min range</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="1">
-                 <widget class="QLabel" name="label_20">
-                  <property name="text">
-                   <string>0.005</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="2">
-                 <widget class="QLabel" name="label_17">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="0">
-                 <widget class="QLabel" name="label_18">
-                  <property name="text">
-                   <string>Max range</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="1">
-                 <widget class="QLabel" name="label_21">
-                  <property name="text">
-                   <string>0.1</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="2">
-                 <widget class="QLabel" name="label_19">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-               </layout>
-              </item>
-             </layout>
-            </widget>
-           </item>
-           <item row="1" column="2">
-            <spacer name="horizontalSpacer_3">
-             <property name="orientation">
-              <enum>Qt::Horizontal</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>207</width>
-               <height>20</height>
-              </size>
-             </property>
-            </spacer>
-           </item>
-           <item row="1" column="3">
-            <widget class="QGroupBox" name="groupBox_9">
-             <property name="title">
-              <string>Fitting error</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_18">
-              <item row="0" column="0">
-               <layout class="QHBoxLayout" name="horizontalLayout_2">
-                <item>
-                 <widget class="QLabel" name="label_23">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-weight:600;&quot;&gt;Ï&lt;/span&gt;&lt;span style=&quot; font-weight:600; vertical-align:super;&quot;&gt;2&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item>
-                 <widget class="QLabel" name="label_24">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;&lt;span style=&quot; font-weight:600;&quot;&gt;0.01625&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-               </layout>
-              </item>
-             </layout>
-            </widget>
-           </item>
-          </layout>
-         </widget>
-         <widget class="QWidget" name="QRanges">
-          <attribute name="title">
-           <string>Q Range</string>
-          </attribute>
-          <layout class="QGridLayout" name="gridLayout_7">
-           <item row="0" column="0">
-            <widget class="QGroupBox" name="groupBox">
-             <property name="title">
-              <string>Fitting range</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_4">
-              <item row="0" column="0" rowspan="2">
-               <layout class="QGridLayout" name="gridLayout_3">
-                <item row="0" column="0">
-                 <widget class="QLabel" name="label_5">
-                  <property name="text">
-                   <string>Min range</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="1">
-                 <widget class="QLineEdit" name="lineEdit"/>
-                </item>
-                <item row="0" column="2">
-                 <widget class="QLabel" name="label_7">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="0">
-                 <widget class="QLabel" name="label_6">
-                  <property name="text">
-                   <string>Max range</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="1">
-                 <widget class="QLineEdit" name="lineEdit_2"/>
-                </item>
-                <item row="1" column="2">
-                 <widget class="QLabel" name="label_8">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-               </layout>
-              </item>
-              <item row="0" column="1" rowspan="2">
-               <spacer name="horizontalSpacer_5">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>217</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item row="0" column="2">
-               <widget class="QPushButton" name="pushButton_3">
-                <property name="text">
-                 <string>Reset</string>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="2">
-               <widget class="QPushButton" name="pushButton_4">
-                <property name="text">
-                 <string>Mask Editor</string>
-                </property>
-               </widget>
-              </item>
-             </layout>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <widget class="QGroupBox" name="groupBox_2">
-             <property name="title">
-              <string>Data points</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_6">
-              <item row="0" column="0">
-               <layout class="QGridLayout" name="gridLayout_5">
-                <item row="0" column="0">
-                 <widget class="QLabel" name="label_10">
-                  <property name="text">
-                   <string>Npts</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="1">
-                 <widget class="QLineEdit" name="lineEdit_3"/>
-                </item>
-                <item row="0" column="2">
-                 <widget class="QCheckBox" name="checkBox">
-                  <property name="text">
-                   <string>Log spaced points</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="0">
-                 <widget class="QLabel" name="label_11">
-                  <property name="text">
-                   <string>Npts(Fit)</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="1">
-                 <widget class="QLineEdit" name="lineEdit_4"/>
-                </item>
-                <item row="2" column="0">
-                 <widget class="QLabel" name="label_12">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ï&lt;span style=&quot; vertical-align:super;&quot;&gt;2&lt;/span&gt;/Npts&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="2" column="1">
-                 <widget class="QLineEdit" name="lineEdit_5"/>
-                </item>
-                <item row="2" column="3">
-                 <widget class="QPushButton" name="pushButton_5">
-                  <property name="text">
-                   <string>Compute</string>
-                  </property>
-                 </widget>
-                </item>
-               </layout>
-              </item>
-             </layout>
-            </widget>
-           </item>
-           <item row="2" column="0">
-            <spacer name="verticalSpacer">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>347</height>
-              </size>
-             </property>
-            </spacer>
-           </item>
-          </layout>
-         </widget>
-         <widget class="QWidget" name="tab_4">
-          <attribute name="title">
-           <string>Polydisp</string>
-          </attribute>
-          <layout class="QGridLayout" name="gridLayout_10">
-           <item row="0" column="0">
-            <widget class="QGroupBox" name="groupBox_3">
-             <property name="title">
-              <string>Polydispersity and Orientational Distribution</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_9">
-              <item row="0" column="0">
-               <widget class="QCheckBox" name="checkBox_2">
-                <property name="text">
-                 <string>Add polydispersity</string>
-                </property>
-               </widget>
-              </item>
-              <item row="1" column="0">
-               <widget class="QTableView" name="tableView_2"/>
-              </item>
-             </layout>
-            </widget>
-           </item>
-          </layout>
-         </widget>
-         <widget class="QWidget" name="tab_5">
-          <attribute name="title">
-           <string>Smearing</string>
-          </attribute>
-          <layout class="QGridLayout" name="gridLayout_14">
-           <item row="0" column="0">
-            <widget class="QGroupBox" name="groupBox_4">
-             <property name="title">
-              <string>Instrumental Smearing</string>
-             </property>
-             <layout class="QGridLayout" name="gridLayout_13">
-              <item row="0" column="0">
-               <widget class="QComboBox" name="comboBox_4">
-                <property name="currentIndex">
-                 <number>2</number>
-                </property>
-                <item>
-                 <property name="text">
-                  <string>None</string>
-                 </property>
-                </item>
-                <item>
-                 <property name="text">
-                  <string>Use dQ Data</string>
-                 </property>
-                </item>
-                <item>
-                 <property name="text">
-                  <string>Custom Pinhole Smear</string>
-                 </property>
-                </item>
-                <item>
-                 <property name="text">
-                  <string>Custom Slit Smear</string>
-                 </property>
-                </item>
-               </widget>
-              </item>
-              <item row="0" column="1">
-               <layout class="QGridLayout" name="gridLayout_11">
-                <item row="0" column="0">
-                 <widget class="QLabel" name="label_9">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;dQ&lt;span style=&quot; vertical-align:sub;&quot;&gt;low&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="0" column="1">
-                 <widget class="QLineEdit" name="lineEdit_6"/>
-                </item>
-                <item row="0" column="2">
-                 <widget class="QLabel" name="label_14">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="0">
-                 <widget class="QLabel" name="label_13">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;dQ&lt;span style=&quot; vertical-align:sub;&quot;&gt;high&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-                <item row="1" column="1">
-                 <widget class="QLineEdit" name="lineEdit_7"/>
-                </item>
-                <item row="1" column="2">
-                 <widget class="QLabel" name="label_15">
-                  <property name="text">
-                   <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Ã
-&lt;span style=&quot; vertical-align:super;&quot;&gt;-1&lt;/span&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
-                  </property>
-                 </widget>
-                </item>
-               </layout>
-              </item>
-              <item row="0" column="2">
-               <spacer name="horizontalSpacer_2">
-                <property name="orientation">
-                 <enum>Qt::Horizontal</enum>
-                </property>
-                <property name="sizeHint" stdset="0">
-                 <size>
-                  <width>71</width>
-                  <height>20</height>
-                 </size>
-                </property>
-               </spacer>
-              </item>
-              <item row="1" column="0">
-               <widget class="QGroupBox" name="groupBox_5">
-                <property name="title">
-                 <string>Weighting</string>
-                </property>
-                <layout class="QGridLayout" name="gridLayout_12">
-                 <item row="0" column="0">
-                  <layout class="QVBoxLayout" name="verticalLayout">
-                   <item>
-                    <widget class="QRadioButton" name="radioButton">
-                     <property name="text">
-                      <string>None</string>
-                     </property>
-                    </widget>
-                   </item>
-                   <item>
-                    <widget class="QRadioButton" name="radioButton_2">
-                     <property name="text">
-                      <string>Use dI Data</string>
-                     </property>
-                    </widget>
-                   </item>
-                   <item>
-                    <widget class="QRadioButton" name="radioButton_3">
-                     <property name="text">
-                      <string>Use |sqrt(I Data)|</string>
-                     </property>
-                    </widget>
-                   </item>
-                   <item>
-                    <widget class="QRadioButton" name="radioButton_4">
-                     <property name="text">
-                      <string>Use |I Data|</string>
-                     </property>
-                    </widget>
-                   </item>
-                  </layout>
-                 </item>
-                </layout>
-               </widget>
-              </item>
-             </layout>
-             <zorder>comboBox_4</zorder>
-             <zorder>groupBox_5</zorder>
-             <zorder>horizontalSpacer_2</zorder>
-            </widget>
-           </item>
-           <item row="1" column="0">
-            <spacer name="verticalSpacer_2">
-             <property name="orientation">
-              <enum>Qt::Vertical</enum>
-             </property>
-             <property name="sizeHint" stdset="0">
-              <size>
-               <width>20</width>
-               <height>340</height>
-              </size>
-             </property>
-            </spacer>
-           </item>
-          </layout>
-         </widget>
-        </widget>
-       </item>
-      </layout>
-     </widget>
-     <widget class="QWidget" name="tab_2">
-      <attribute name="title">
-       <string>Fit Page 2</string>
-      </attribute>
-     </widget>
-    </widget>
-   </item>
-  </layout>
- </widget>
- <resources/>
- <connections/>
-</ui>
Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision b78996786903e718c1fb56b07723e3ceaa7d079f)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -39,4 +39,5 @@
     # The controller which is responsible for managing signal slots connections
     # for the gui and providing an interface to the data model.
+    name = "Invariant" # For displaying in the combo box
     def __init__(self, manager=None, parent=None):
         super(InvariantWindow, self).__init__(parent)
@@ -102,10 +103,10 @@
         self.setupMapper()
 
-    def closeEvent(self, event):
-        """
-        Overwrite the default close method of QWidget
-        """
-        # No close on perspectives - one must always be active.
-        event.ignore()
+    #def closeEvent(self, event):
+    #    """
+    #    Overwrite the default close method of QWidget
+    #    """
+    #    # No close on perspectives - one must always be active.
+    #    event.ignore()
 
     def communicator(self):
Index: src/sas/qtgui/Perspectives/__init__.py
===================================================================
--- src/sas/qtgui/Perspectives/__init__.py	(revision f721030e66e61dc6279aa8e024da03b25f8e0d42)
+++ src/sas/qtgui/Perspectives/__init__.py	(revision 83d6249504661920123f31d028c17441433bf318)
@@ -0,0 +1,10 @@
+# Available perspectives.
+# When adding a new perspective, this dictionary needs to be updated
+
+from Fitting.FittingPerspective import FittingWindow
+from Invariant.InvariantPerspective import InvariantWindow
+
+PERSPECTIVES = {
+    FittingWindow.name: FittingWindow,
+    InvariantWindow.name: InvariantWindow,
+}
